#include "Go.h"

#include <stdlib.h>
#include <Window.h>
#include <Application.h>
#include <fstream>

#include "NetworkWindow.h"

#include "system/SetupSystem.h"

int main( int numarg, char ** argv )
{
	BApplication app("application/x-vnd.m_eiman.GoNet");
	
	muscle::CompleteSetupSystem muscleSetup;

	NetworkWindow * win = new NetworkWindow();
	win->Show();
	
	gMuscle.AddNewConnectSession( "eiman.mine.nu", 2960 );
	gMuscle.StartInternalThread();
	
	app.Run();
	
	return 0;
}
